<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:48 JST 2014 -->
<TITLE>
KeeperException.Code
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="KeeperException.Code";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/apache/zookeeper/KeeperException.BadVersionException.html" title="class in org.apache.zookeeper"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html" title="interface in org.apache.zookeeper"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?org/apache/zookeeper/KeeperException.Code.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="KeeperException.Code.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#enum_constant_summary">ENUM CONSTANTS</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#enum_constant_detail">ENUM CONSTANTS</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.zookeeper</FONT>
<BR>
Enum KeeperException.Code</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by ">java.lang.Enum&lt;<A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A>&gt;
      <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>org.apache.zookeeper.KeeperException.Code</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>java.io.Serializable, java.lang.Comparable&lt;<A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A>&gt;, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html" title="interface in org.apache.zookeeper">KeeperException.CodeDeprecated</A></DD>
</DL>
<DL>
<DT><B>Enclosing class:</B><DD><A HREF="../../../org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public static enum <B>KeeperException.Code</B><DT>extends java.lang.Enum&lt;<A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A>&gt;<DT>implements <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html" title="interface in org.apache.zookeeper">KeeperException.CodeDeprecated</A></DL>
</PRE>

<P>
Codes which represent the various KeeperException
 types. This enum replaces the deprecated earlier static final int
 constants. The old, deprecated, values are in "camel case" while the new
 enum values are in all CAPS.
<P>

<P>
<HR>

<P>
<!-- =========== ENUM CONSTANT SUMMARY =========== -->

<A NAME="enum_constant_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Enum Constant Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#APIERROR">APIERROR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;API errors.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#AUTHFAILED">AUTHFAILED</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Client authentication failed</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#BADARGUMENTS">BADARGUMENTS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invalid arguments</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#BADVERSION">BADVERSION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Version conflict</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#CONNECTIONLOSS">CONNECTIONLOSS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Connection to the server has been lost</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#DATAINCONSISTENCY">DATAINCONSISTENCY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A data inconsistency was found</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#INVALIDACL">INVALIDACL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invalid ACL specified</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#INVALIDCALLBACK">INVALIDCALLBACK</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invalid callback specified</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#MARSHALLINGERROR">MARSHALLINGERROR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Error while marshalling or unmarshalling data</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NOAUTH">NOAUTH</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not authenticated</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NOCHILDRENFOREPHEMERALS">NOCHILDRENFOREPHEMERALS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ephemeral nodes may not have children</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NODEEXISTS">NODEEXISTS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The node already exists</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NONODE">NONODE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Node does not exist</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NOTEMPTY">NOTEMPTY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The node has children</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NOTREADONLY">NOTREADONLY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;State-changing request is passed to read-only server</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#OK">OK</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Everything is OK</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#OPERATIONTIMEOUT">OPERATIONTIMEOUT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Operation timeout</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#RUNTIMEINCONSISTENCY">RUNTIMEINCONSISTENCY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A runtime inconsistency was found</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#SESSIONEXPIRED">SESSIONEXPIRED</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The session has been expired by the server</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#SESSIONMOVED">SESSIONMOVED</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Session moved to another server, so operation is ignored</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#SYSTEMERROR">SYSTEMERROR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;System and server-side errors.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#UNIMPLEMENTED">UNIMPLEMENTED</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Operation is unimplemented</TD>
</TR>
</TABLE>
&nbsp;<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.zookeeper.KeeperException.CodeDeprecated"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface org.apache.zookeeper.<A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html" title="interface in org.apache.zookeeper">KeeperException.CodeDeprecated</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#APIError">APIError</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#AuthFailed">AuthFailed</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#BadArguments">BadArguments</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#BadVersion">BadVersion</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#ConnectionLoss">ConnectionLoss</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#DataInconsistency">DataInconsistency</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#InvalidACL">InvalidACL</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#InvalidCallback">InvalidCallback</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#MarshallingError">MarshallingError</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#NoAuth">NoAuth</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#NoChildrenForEphemerals">NoChildrenForEphemerals</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#NodeExists">NodeExists</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#NoNode">NoNode</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#NotEmpty">NotEmpty</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#Ok">Ok</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#OperationTimeout">OperationTimeout</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#RuntimeInconsistency">RuntimeInconsistency</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#SessionExpired">SessionExpired</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#SystemError">SystemError</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#Unimplemented">Unimplemented</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#get(int)">get</A></B>(int&nbsp;code)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get the Code value for a particular integer error code</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#intValue()">intValue</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get the int value for a particular Code.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#valueOf(java.lang.String)">valueOf</A></B>(java.lang.String&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the enum constant of this type with the specified name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#values()">values</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an array containing the constants of this enum type, in
the order they are declared.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Enum"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Enum</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getClass, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ ENUM CONSTANT DETAIL =========== -->

<A NAME="enum_constant_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Enum Constant Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="OK"><!-- --></A><H3>
OK</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>OK</B></PRE>
<DL>
<DD>Everything is OK
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="SYSTEMERROR"><!-- --></A><H3>
SYSTEMERROR</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>SYSTEMERROR</B></PRE>
<DL>
<DD>System and server-side errors.
 This is never thrown by the server, it shouldn't be used other than
 to indicate a range. Specifically error codes greater than this
 value, but lesser than <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#APIERROR"><CODE>APIERROR</CODE></A>, are system errors.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="RUNTIMEINCONSISTENCY"><!-- --></A><H3>
RUNTIMEINCONSISTENCY</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>RUNTIMEINCONSISTENCY</B></PRE>
<DL>
<DD>A runtime inconsistency was found
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="DATAINCONSISTENCY"><!-- --></A><H3>
DATAINCONSISTENCY</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>DATAINCONSISTENCY</B></PRE>
<DL>
<DD>A data inconsistency was found
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="CONNECTIONLOSS"><!-- --></A><H3>
CONNECTIONLOSS</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>CONNECTIONLOSS</B></PRE>
<DL>
<DD>Connection to the server has been lost
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="MARSHALLINGERROR"><!-- --></A><H3>
MARSHALLINGERROR</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>MARSHALLINGERROR</B></PRE>
<DL>
<DD>Error while marshalling or unmarshalling data
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="UNIMPLEMENTED"><!-- --></A><H3>
UNIMPLEMENTED</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>UNIMPLEMENTED</B></PRE>
<DL>
<DD>Operation is unimplemented
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="OPERATIONTIMEOUT"><!-- --></A><H3>
OPERATIONTIMEOUT</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>OPERATIONTIMEOUT</B></PRE>
<DL>
<DD>Operation timeout
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="BADARGUMENTS"><!-- --></A><H3>
BADARGUMENTS</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>BADARGUMENTS</B></PRE>
<DL>
<DD>Invalid arguments
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="APIERROR"><!-- --></A><H3>
APIERROR</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>APIERROR</B></PRE>
<DL>
<DD>API errors.
 This is never thrown by the server, it shouldn't be used other than
 to indicate a range. Specifically error codes greater than this
 value are API errors (while values less than this indicate a
 <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#SYSTEMERROR"><CODE>SYSTEMERROR</CODE></A>).
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="NONODE"><!-- --></A><H3>
NONODE</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>NONODE</B></PRE>
<DL>
<DD>Node does not exist
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="NOAUTH"><!-- --></A><H3>
NOAUTH</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>NOAUTH</B></PRE>
<DL>
<DD>Not authenticated
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="BADVERSION"><!-- --></A><H3>
BADVERSION</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>BADVERSION</B></PRE>
<DL>
<DD>Version conflict
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="NOCHILDRENFOREPHEMERALS"><!-- --></A><H3>
NOCHILDRENFOREPHEMERALS</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>NOCHILDRENFOREPHEMERALS</B></PRE>
<DL>
<DD>Ephemeral nodes may not have children
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="NODEEXISTS"><!-- --></A><H3>
NODEEXISTS</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>NODEEXISTS</B></PRE>
<DL>
<DD>The node already exists
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="NOTEMPTY"><!-- --></A><H3>
NOTEMPTY</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>NOTEMPTY</B></PRE>
<DL>
<DD>The node has children
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="SESSIONEXPIRED"><!-- --></A><H3>
SESSIONEXPIRED</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>SESSIONEXPIRED</B></PRE>
<DL>
<DD>The session has been expired by the server
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="INVALIDCALLBACK"><!-- --></A><H3>
INVALIDCALLBACK</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>INVALIDCALLBACK</B></PRE>
<DL>
<DD>Invalid callback specified
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="INVALIDACL"><!-- --></A><H3>
INVALIDACL</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>INVALIDACL</B></PRE>
<DL>
<DD>Invalid ACL specified
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="AUTHFAILED"><!-- --></A><H3>
AUTHFAILED</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>AUTHFAILED</B></PRE>
<DL>
<DD>Client authentication failed
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="SESSIONMOVED"><!-- --></A><H3>
SESSIONMOVED</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>SESSIONMOVED</B></PRE>
<DL>
<DD>Session moved to another server, so operation is ignored
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="NOTREADONLY"><!-- --></A><H3>
NOTREADONLY</H3>
<PRE>
public static final <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>NOTREADONLY</B></PRE>
<DL>
<DD>State-changing request is passed to read-only server
<P>
<DL>
</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="values()"><!-- --></A><H3>
values</H3>
<PRE>
public static <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A>[] <B>values</B>()</PRE>
<DL>
<DD>Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (KeeperException.Code c : KeeperException.Code.values())
&nbsp;   System.out.println(c);
</pre>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>an array containing the constants of this enum type, in
the order they are declared</DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(java.lang.String)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public static <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>valueOf</B>(java.lang.String&nbsp;name)</PRE>
<DL>
<DD>Returns the enum constant of this type with the specified name.
The string must match <I>exactly</I> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - the name of the enum constant to be returned.
<DT><B>Returns:</B><DD>the enum constant with the specified name
<DT><B>Throws:</B>
<DD><CODE>java.lang.IllegalArgumentException</CODE> - if this enum type has no constant
with the specified name
<DD><CODE>java.lang.NullPointerException</CODE> - if the argument is null</DL>
</DD>
</DL>
<HR>

<A NAME="intValue()"><!-- --></A><H3>
intValue</H3>
<PRE>
public int <B>intValue</B>()</PRE>
<DL>
<DD>Get the int value for a particular Code.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>error code as integer</DL>
</DD>
</DL>
<HR>

<A NAME="get(int)"><!-- --></A><H3>
get</H3>
<PRE>
public static <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>get</B>(int&nbsp;code)</PRE>
<DL>
<DD>Get the Code value for a particular integer error code
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>code</CODE> - int error code
<DT><B>Returns:</B><DD>Code value corresponding to specified int code, or null</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/apache/zookeeper/KeeperException.BadVersionException.html" title="class in org.apache.zookeeper"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html" title="interface in org.apache.zookeeper"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?org/apache/zookeeper/KeeperException.Code.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="KeeperException.Code.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#enum_constant_summary">ENUM CONSTANTS</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#enum_constant_detail">ENUM CONSTANTS</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
